declare const textColor: {
    readonly 'text/primary': "#835EEB";
    readonly 'text/accent/blue': "#4880ee";
    readonly 'text/accent/green': "#1FCCA1";
    readonly 'text/accent/yellow': "#FFC107";
    readonly 'text/accent/red': "#F22735";
    readonly 'text/neutral/subtlest': "#8D94A0";
    readonly 'text/neutral/subtler': "#7A828D";
    readonly 'text/neutral/subtle': "#575C64";
    readonly 'text/neutral': "#33373B";
    readonly 'text/inverse': "#FFFFFF";
    readonly 'text/inverse/subtle': "#E5E7EB";
    readonly 'text/inverse/subtler': "#D1D5DB";
    readonly 'text/disabled': "#8D94A0";
    readonly 'text/success': "#1FCCA1";
    readonly 'text/warning': "#FFC107";
    readonly 'text/danger': "#F22735";
    readonly 'text/selected/neutral': "#33373B";
};
declare const bgColor: {
    readonly 'bg/secondary': "#F3EFFD";
    readonly 'bg/secondary/hovered': "#D9CDF9";
    readonly 'bg/secondary/pressed': "#D9CDF9";
    readonly 'bg/primary': "#835EEB";
    readonly 'bg/primary/hovered': "#5D43A7";
    readonly 'bg/primary/pressed': "#5D43A7";
    readonly 'bg/neutral/subtler': "#FFFFFF00";
    readonly 'bg/neutral/subtler/hovered': "#F3F4F6";
    readonly 'bg/neutral/subtler/pressed': "#F3F4F6";
    readonly 'bg/neutral/subtle': "#F9FAFB";
    readonly 'bg/neutral/subtle/hovered': "#E5E7EB";
    readonly 'bg/neutral/subtle/pressed': "#E5E7EB";
    readonly 'bg/neutral': "#F3F4F6";
    readonly 'bg/neutral/hovered': "#D1D5DB";
    readonly 'bg/neutral/pressed': "#D1D5DB";
    readonly 'bg/neutral/bold': "#575C64";
    readonly 'bg/neutral/bold/hovered': "#33373B";
    readonly 'bg/neutral/bold/pressed': "#33373B";
    readonly 'bg/neutral/bolder': "#33373B";
    readonly 'bg/neutral/bolder/hovered': "#000000";
    readonly 'bg/neutral/bolder/pressed': "#000000";
    readonly 'bg/disabled': "#F3F4F6";
    readonly 'bg/disabled/subtlest': "#FFFFFF00";
    readonly 'bg/input': "#FFFFFF";
    readonly 'bg/accent/green/subtlest': "#E9FAF6";
    readonly 'bg/accent/yellow/subtlest': "#FFF9E6";
    readonly 'bg/accent/red/subtlest': "#FEE9EB";
    readonly 'bg/accent/red/subtle': "#F5525D";
    readonly 'bg/accent/red': "#F22735";
    readonly 'bg/accent/gray/subtlest': "#E5E7EB";
    readonly 'bg/accent/blue/subtlest': "#edf2fd";
    readonly 'bg/selected/violet': "#835EEB";
    readonly 'bg/selected/neutral': "#33373B";
    readonly 'bg/selected/neutral/subtle': "#F3F4F6";
    readonly 'bg/inverse': "#000000";
    readonly 'bg/inverse/subtlest': "#FFFFFF1A";
    readonly 'bg/success': "#E9FAF6";
    readonly 'bg/success/bold': "#1FCCA1";
    readonly 'bg/warning': "#FFF9E6";
    readonly 'bg/warning/bold': "#FFC107";
    readonly 'bg/danger': "#FEE9EB";
    readonly 'bg/danger/bold': "#F5525D";
    readonly 'bg/danger/bold/hovered': "#DC2330";
    readonly 'bg/danger/bold/pressed': "#DC2330";
};
declare const borderColor: {
    readonly 'border/neutral/subtle': "#F3F4F6";
    readonly 'border/neutral': "#E5E7EB";
    readonly 'border/neutral/bolder': "#D1D5DB";
    readonly 'border/input': "#E5E7EB";
    readonly 'border/inverse': "#FFFFFF1A";
    readonly 'border/disabled': "#F3F4F6";
    readonly 'border/primary': "#835EEB";
    readonly 'border/hovered': "#84aaf4";
    readonly 'border/focused': "#4880ee";
    readonly 'border/danger': "#F22735";
    readonly 'border/success': "#1FCCA1";
};
declare const iconColor: {
    readonly 'icon/neutral': "#D1D5DB";
    readonly 'icon/neutral/bold': "#8D94A0";
    readonly 'icon/neutral/bolder': "#575C64";
    readonly 'icon/accent/gray': "#33373B";
    readonly 'icon/accent/blue': "#4880ee";
    readonly 'icon/accent/blue/bold': "#335ba9";
    readonly 'icon/accent/green': "#1FCCA1";
    readonly 'icon/accent/yellow': "#FFC107";
    readonly 'icon/accent/red': "#F22735";
    readonly 'icon/inverse': "#FFFFFF";
    readonly 'icon/disabled': "#D1D5DB";
    readonly 'icon/disabled/subtler': "#E5E7EB";
    readonly 'icon/selected/primary': "#835EEB";
    readonly 'icon/selected/neutral': "#33373B";
    readonly 'icon/primary': "#835EEB";
    readonly 'icon/primary/subtle': "#C6B5F6";
    readonly 'icon/primary/bold': "#5D43A7";
    readonly 'icon/success': "#1FCCA1";
    readonly 'icon/warning': "#FFC107";
    readonly 'icon/danger': "#F22735";
};
declare const linkColor: {
    readonly link: "#4880ee";
    readonly 'link/hovered': "#335ba9";
    readonly 'link/pressed': "#335ba9";
    readonly 'link/neutral': "#7A828D";
    readonly 'link/neutral/hovered': "#575C64";
    readonly 'link/neutral/pressed': "#575C64";
    readonly 'link/neutral/bold': "#575C64";
    readonly 'link/neutral/bold/hovered': "#33373B";
    readonly 'link/neutral/bold/pressed': "#33373B";
    readonly 'link/disabled': "#575C64";
};
declare const dimColor: {
    readonly dim: "#00000099";
};
declare const scaleColor: {
    'scale/violet/0': "#F3EFFD";
    'scale/violet/1': "#E8E1FB";
    'scale/violet/2': "#D9CDF9";
    'scale/violet/3': "#C6B5F6";
    'scale/violet/4': "#9C7EEF";
    'scale/violet/5': "#835EEB";
    'scale/violet/6': "#7756D6";
    'scale/violet/7': "#5D43A7";
    'scale/violet/8': "#483481";
    'scale/violet/9': "#372763";
};
declare const color: {
    readonly 'scale/violet/0': "#F3EFFD";
    readonly 'scale/violet/1': "#E8E1FB";
    readonly 'scale/violet/2': "#D9CDF9";
    readonly 'scale/violet/3': "#C6B5F6";
    readonly 'scale/violet/4': "#9C7EEF";
    readonly 'scale/violet/5': "#835EEB";
    readonly 'scale/violet/6': "#7756D6";
    readonly 'scale/violet/7': "#5D43A7";
    readonly 'scale/violet/8': "#483481";
    readonly 'scale/violet/9': "#372763";
    readonly dim: "#00000099";
    readonly link: "#4880ee";
    readonly 'link/hovered': "#335ba9";
    readonly 'link/pressed': "#335ba9";
    readonly 'link/neutral': "#7A828D";
    readonly 'link/neutral/hovered': "#575C64";
    readonly 'link/neutral/pressed': "#575C64";
    readonly 'link/neutral/bold': "#575C64";
    readonly 'link/neutral/bold/hovered': "#33373B";
    readonly 'link/neutral/bold/pressed': "#33373B";
    readonly 'link/disabled': "#575C64";
    readonly 'icon/neutral': "#D1D5DB";
    readonly 'icon/neutral/bold': "#8D94A0";
    readonly 'icon/neutral/bolder': "#575C64";
    readonly 'icon/accent/gray': "#33373B";
    readonly 'icon/accent/blue': "#4880ee";
    readonly 'icon/accent/blue/bold': "#335ba9";
    readonly 'icon/accent/green': "#1FCCA1";
    readonly 'icon/accent/yellow': "#FFC107";
    readonly 'icon/accent/red': "#F22735";
    readonly 'icon/inverse': "#FFFFFF";
    readonly 'icon/disabled': "#D1D5DB";
    readonly 'icon/disabled/subtler': "#E5E7EB";
    readonly 'icon/selected/primary': "#835EEB";
    readonly 'icon/selected/neutral': "#33373B";
    readonly 'icon/primary': "#835EEB";
    readonly 'icon/primary/subtle': "#C6B5F6";
    readonly 'icon/primary/bold': "#5D43A7";
    readonly 'icon/success': "#1FCCA1";
    readonly 'icon/warning': "#FFC107";
    readonly 'icon/danger': "#F22735";
    readonly 'border/neutral/subtle': "#F3F4F6";
    readonly 'border/neutral': "#E5E7EB";
    readonly 'border/neutral/bolder': "#D1D5DB";
    readonly 'border/input': "#E5E7EB";
    readonly 'border/inverse': "#FFFFFF1A";
    readonly 'border/disabled': "#F3F4F6";
    readonly 'border/primary': "#835EEB";
    readonly 'border/hovered': "#84aaf4";
    readonly 'border/focused': "#4880ee";
    readonly 'border/danger': "#F22735";
    readonly 'border/success': "#1FCCA1";
    readonly 'bg/secondary': "#F3EFFD";
    readonly 'bg/secondary/hovered': "#D9CDF9";
    readonly 'bg/secondary/pressed': "#D9CDF9";
    readonly 'bg/primary': "#835EEB";
    readonly 'bg/primary/hovered': "#5D43A7";
    readonly 'bg/primary/pressed': "#5D43A7";
    readonly 'bg/neutral/subtler': "#FFFFFF00";
    readonly 'bg/neutral/subtler/hovered': "#F3F4F6";
    readonly 'bg/neutral/subtler/pressed': "#F3F4F6";
    readonly 'bg/neutral/subtle': "#F9FAFB";
    readonly 'bg/neutral/subtle/hovered': "#E5E7EB";
    readonly 'bg/neutral/subtle/pressed': "#E5E7EB";
    readonly 'bg/neutral': "#F3F4F6";
    readonly 'bg/neutral/hovered': "#D1D5DB";
    readonly 'bg/neutral/pressed': "#D1D5DB";
    readonly 'bg/neutral/bold': "#575C64";
    readonly 'bg/neutral/bold/hovered': "#33373B";
    readonly 'bg/neutral/bold/pressed': "#33373B";
    readonly 'bg/neutral/bolder': "#33373B";
    readonly 'bg/neutral/bolder/hovered': "#000000";
    readonly 'bg/neutral/bolder/pressed': "#000000";
    readonly 'bg/disabled': "#F3F4F6";
    readonly 'bg/disabled/subtlest': "#FFFFFF00";
    readonly 'bg/input': "#FFFFFF";
    readonly 'bg/accent/green/subtlest': "#E9FAF6";
    readonly 'bg/accent/yellow/subtlest': "#FFF9E6";
    readonly 'bg/accent/red/subtlest': "#FEE9EB";
    readonly 'bg/accent/red/subtle': "#F5525D";
    readonly 'bg/accent/red': "#F22735";
    readonly 'bg/accent/gray/subtlest': "#E5E7EB";
    readonly 'bg/accent/blue/subtlest': "#edf2fd";
    readonly 'bg/selected/violet': "#835EEB";
    readonly 'bg/selected/neutral': "#33373B";
    readonly 'bg/selected/neutral/subtle': "#F3F4F6";
    readonly 'bg/inverse': "#000000";
    readonly 'bg/inverse/subtlest': "#FFFFFF1A";
    readonly 'bg/success': "#E9FAF6";
    readonly 'bg/success/bold': "#1FCCA1";
    readonly 'bg/warning': "#FFF9E6";
    readonly 'bg/warning/bold': "#FFC107";
    readonly 'bg/danger': "#FEE9EB";
    readonly 'bg/danger/bold': "#F5525D";
    readonly 'bg/danger/bold/hovered': "#DC2330";
    readonly 'bg/danger/bold/pressed': "#DC2330";
    readonly 'text/primary': "#835EEB";
    readonly 'text/accent/blue': "#4880ee";
    readonly 'text/accent/green': "#1FCCA1";
    readonly 'text/accent/yellow': "#FFC107";
    readonly 'text/accent/red': "#F22735";
    readonly 'text/neutral/subtlest': "#8D94A0";
    readonly 'text/neutral/subtler': "#7A828D";
    readonly 'text/neutral/subtle': "#575C64";
    readonly 'text/neutral': "#33373B";
    readonly 'text/inverse': "#FFFFFF";
    readonly 'text/inverse/subtle': "#E5E7EB";
    readonly 'text/inverse/subtler': "#D1D5DB";
    readonly 'text/disabled': "#8D94A0";
    readonly 'text/success': "#1FCCA1";
    readonly 'text/warning': "#FFC107";
    readonly 'text/danger': "#F22735";
    readonly 'text/selected/neutral': "#33373B";
};
type TextColorKey = keyof typeof textColor;
type BgColorKey = keyof typeof bgColor;
type BorderColorKey = keyof typeof borderColor;
type IconColorKey = keyof typeof iconColor;
type LinkColorKey = keyof typeof linkColor;
type DimColorKey = keyof typeof dimColor;
type ScaleColorKey = keyof typeof scaleColor;
type ColorKey = keyof typeof color;
export default color;
export { textColor, bgColor, borderColor, iconColor, linkColor, dimColor, scaleColor };
export type { ColorKey, TextColorKey, BgColorKey, BorderColorKey, IconColorKey, LinkColorKey, DimColorKey, ScaleColorKey, };
